Package net.shibboleth.shared.xml

# Class ClasspathResolver.LSInputImpl

java.lang.Object
net.shibboleth.shared.xml.ClasspathResolver.LSInputImpl

All Implemented Interfaces:
  `LSInput`

Enclosing class:
  ClasspathResolver

protected class ClasspathResolver.LSInputImpl extends Object implements LSInput
Implementation of DOM 3 `LSInput`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private BufferedInputStream`
`buffInput`
Resolved resource.
`private String`
`publicId`
Public ID of the resolved resource.
`private String`
`systemId`
System ID of the resolved resource.

## Constructor Summary

Constructors
Constructor
Description
`LSInputImpl(String pubId, String sysId, InputStream input)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseURI()`
`InputStream`
`getByteStream()`
`boolean`
`getCertifiedText()`
`Reader`
`getCharacterStream()`
`String`
`getEncoding()`
`String`
`getPublicId()`
`String`
`getStringData()`
`String`
`getSystemId()`
`void`
`setBaseURI(String uri)`
`void`
`setByteStream(InputStream byteStream)`
`void`
`setCertifiedText(boolean isCertifiedText)`
`void`
`setCharacterStream(Reader characterStream)`
`void`
`setEncoding(String encoding)`
`void`
`setPublicId(String id)`
`void`
`setStringData(String stringData)`
`void`
`setSystemId(String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### publicId

private String publicId
Public ID of the resolved resource.

### systemId

private String systemId
System ID of the resolved resource.

### buffInput

private BufferedInputStream buffInput
Resolved resource.

## Constructor Details

### LSInputImpl

public LSInputImpl(String pubId, String sysId, InputStream input)
Constructor.

Parameters:
  `pubId` - public id of the resolved resource
  `sysId` - system id of the resolved resource
  `input` - resolved resource

## Method Details

### getBaseURI

public String getBaseURI()

Specified by:
  `getBaseURI` in interface `LSInput`

### getByteStream

public InputStream getByteStream()

Specified by:
  `getByteStream` in interface `LSInput`

### getCertifiedText

public boolean getCertifiedText()

Specified by:
  `getCertifiedText` in interface `LSInput`

### getCharacterStream

public Reader getCharacterStream()

Specified by:
  `getCharacterStream` in interface `LSInput`

### getEncoding

public String getEncoding()

Specified by:
  `getEncoding` in interface `LSInput`

### getPublicId

public String getPublicId()

Specified by:
  `getPublicId` in interface `LSInput`

### getStringData

public String getStringData()

Specified by:
  `getStringData` in interface `LSInput`

### getSystemId

public String getSystemId()

Specified by:
  `getSystemId` in interface `LSInput`

### setBaseURI

public void setBaseURI(String uri)

Specified by:
  `setBaseURI` in interface `LSInput`

### setByteStream

public void setByteStream(InputStream byteStream)

Specified by:
  `setByteStream` in interface `LSInput`

### setCertifiedText

public void setCertifiedText(boolean isCertifiedText)

Specified by:
  `setCertifiedText` in interface `LSInput`

### setCharacterStream

public void setCharacterStream(Reader characterStream)

Specified by:
  `setCharacterStream` in interface `LSInput`

### setEncoding

public void setEncoding(String encoding)

Specified by:
  `setEncoding` in interface `LSInput`

### setPublicId

public void setPublicId(String id)

Specified by:
  `setPublicId` in interface `LSInput`

### setStringData

public void setStringData(String stringData)

Specified by:
  `setStringData` in interface `LSInput`

### setSystemId

public void setSystemId(String id)

Specified by:
  `setSystemId` in interface `LSInput`